summaryrefslogtreecommitdiffstats
path: root/network/PaleMoon/PaleMoon.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/PaleMoon/PaleMoon.SlackBuild')
-rw-r--r--network/PaleMoon/PaleMoon.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/network/PaleMoon/PaleMoon.SlackBuild b/network/PaleMoon/PaleMoon.SlackBuild
index 6d9c13486a..4a76d4258e 100644
--- a/network/PaleMoon/PaleMoon.SlackBuild
+++ b/network/PaleMoon/PaleMoon.SlackBuild
@@ -25,7 +25,7 @@
# Modified by SlackBuilds.org
PRGNAM=PaleMoon
-VERSION=${VERSION:-27.0.1}
+VERSION=${VERSION:-27.0.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -120,7 +120,7 @@ PATH=$TMP/autoconf-tmp/usr/bin:$PATH
cd $TMP
SRCNAM=Pale-Moon-${VERSION}_Release
rm -rf $SRCNAM
-tar xzvf $CWD/$SRCNAM.tar.gz
+tar xvf $CWD/$SRCNAM.tar.gz
cd $SRCNAM
chown -R root:root .
find -L . \
@@ -169,6 +169,9 @@ echo "mk_add_options MOZ_OBJDIR=$TMP/pmbuild" >> .mozconfig
for option in $OPTIONS; do echo "ac_add_options $option" >> .mozconfig; done
echo "ac_add_options --enable-optimize=\"$OPTIMIZE\"" >> .mozconfig
+if ! pkg-config --exists libpulse; then
+echo "ac_add_options --disable-pulseaudio" >> .mozconfig; fi
+
python2 mach build || echo "Next =>"
python2 mach build